### Function

# RB gst_encoding_profile_set_preset

#### Declaration [src]

    void
    rb_gst_encoding_profile_set_preset (
      GstEncodingProfile* profile,
      const char* preset
    )

#### Description [src]

Applies the preset `preset` to the audio encoding profile within `profile`.

#### Parameters

`profile`

  Type: `GstEncodingProfile`

  A `GstEncodingProfile`.

  The data is owned by the caller of the function.

`preset`

  Type: `const char*`

  Preset to apply.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.